package com.hzya.frame.plugin.cinvoice.lexmis.entity;
import java.util.Date;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.math.BigDecimal;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * @description: 迈锐思-飞机行程单明细  
 * @tableName:   LEXMISCIV_PLANETICKETS 
 * @entityName:  LexmiscivPlaneticketsEntity
 * @author: 	 gjh
 * @history:	 1.0
 */
public class  LexmiscivPlaneticketsEntity extends BaseEntity {
	public LexmiscivPlaneticketsEntity() {

	}

	public LexmiscivPlaneticketsEntity(String PTS_MAINID, String dataSourceCode) {
		this.PTS_MAINID = PTS_MAINID;
		this.setDataSourceCode(dataSourceCode);
	}

	/** 无备注 */
private String PTS_ID;
/** 无备注 */
private String PTS_MAINID;
/**  无备注  */
private Integer PTS_SORTNUM;
@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
private Date PTS_DATE;
/** 无备注 */
private String PTS_TIME;
/** 无备注 */
private String PTS_CLASS;
/** 无备注 */
private String PTS_CARRIER;
/** 无备注 */
private String PTS_NO;
/** 无备注 */
private String PTS_FSTATION;
/** 无备注 */
private String PTS_TSTATION;
/** 无备注 */
private String PTS_CLASSNAME;
/** 无备注 */
private String PTS_FAREBASIS;
/** 无备注 */
private String PTS_ALLOW;
/** 无备注 */
private String PTS_DATETIME;
/** 无备注 */
private String PTS_NOTVALIDAFTER;
/** 无备注 */
private String PTS_NOTVALIDBEFORE;


/** 无备注 */
public void setPTS_ID(String PTS_ID) {
		this.PTS_ID = PTS_ID;
		}
/** 无备注 */
public String getPTS_ID() {
		return PTS_ID;
		}


/** 无备注 */
public void setPTS_MAINID(String PTS_MAINID) {
		this.PTS_MAINID = PTS_MAINID;
		}
/** 无备注 */
public String getPTS_MAINID() {
		return PTS_MAINID;
		}


/** 无备注 */
public void setPTS_SORTNUM(Integer PTS_SORTNUM) {
		this.PTS_SORTNUM = PTS_SORTNUM;
		}
/** 无备注 */
public Integer getPTS_SORTNUM() {
		return PTS_SORTNUM;
		}


/** 无备注 */
public void setPTS_DATE(Date PTS_DATE) {
		this.PTS_DATE = PTS_DATE;
		}
/** 无备注 */
public Date getPTS_DATE() {
		return PTS_DATE;
		}


/** 无备注 */
public void setPTS_TIME(String PTS_TIME) {
		this.PTS_TIME = PTS_TIME;
		}
/** 无备注 */
public String getPTS_TIME() {
		return PTS_TIME;
		}


/** 无备注 */
public void setPTS_CLASS(String PTS_CLASS) {
		this.PTS_CLASS = PTS_CLASS;
		}
/** 无备注 */
public String getPTS_CLASS() {
		return PTS_CLASS;
		}


/** 无备注 */
public void setPTS_CARRIER(String PTS_CARRIER) {
		this.PTS_CARRIER = PTS_CARRIER;
		}
/** 无备注 */
public String getPTS_CARRIER() {
		return PTS_CARRIER;
		}


/** 无备注 */
public void setPTS_NO(String PTS_NO) {
		this.PTS_NO = PTS_NO;
		}
/** 无备注 */
public String getPTS_NO() {
		return PTS_NO;
		}


/** 无备注 */
public void setPTS_FSTATION(String PTS_FSTATION) {
		this.PTS_FSTATION = PTS_FSTATION;
		}
/** 无备注 */
public String getPTS_FSTATION() {
		return PTS_FSTATION;
		}


/** 无备注 */
public void setPTS_TSTATION(String PTS_TSTATION) {
		this.PTS_TSTATION = PTS_TSTATION;
		}
/** 无备注 */
public String getPTS_TSTATION() {
		return PTS_TSTATION;
		}


/** 无备注 */
public void setPTS_CLASSNAME(String PTS_CLASSNAME) {
		this.PTS_CLASSNAME = PTS_CLASSNAME;
		}
/** 无备注 */
public String getPTS_CLASSNAME() {
		return PTS_CLASSNAME;
		}


/** 无备注 */
public void setPTS_FAREBASIS(String PTS_FAREBASIS) {
		this.PTS_FAREBASIS = PTS_FAREBASIS;
		}
/** 无备注 */
public String getPTS_FAREBASIS() {
		return PTS_FAREBASIS;
		}


/** 无备注 */
public void setPTS_ALLOW(String PTS_ALLOW) {
		this.PTS_ALLOW = PTS_ALLOW;
		}
/** 无备注 */
public String getPTS_ALLOW() {
		return PTS_ALLOW;
		}


/** 无备注 */
public void setPTS_DATETIME(String PTS_DATETIME) {
		this.PTS_DATETIME = PTS_DATETIME;
		}
/** 无备注 */
public String getPTS_DATETIME() {
		return PTS_DATETIME;
		}


/** 无备注 */
public void setPTS_NOTVALIDAFTER(String PTS_NOTVALIDAFTER) {
		this.PTS_NOTVALIDAFTER = PTS_NOTVALIDAFTER;
		}
/** 无备注 */
public String getPTS_NOTVALIDAFTER() {
		return PTS_NOTVALIDAFTER;
		}


/** 无备注 */
public void setPTS_NOTVALIDBEFORE(String PTS_NOTVALIDBEFORE) {
		this.PTS_NOTVALIDBEFORE = PTS_NOTVALIDBEFORE;
		}
/** 无备注 */
public String getPTS_NOTVALIDBEFORE() {
		return PTS_NOTVALIDBEFORE;
		}


		}
